Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.content
Interface Band

All Superinterfaces:
  RangeDimension

    @UML(identifier="MD_Band",
         specification=ISO_19115)
    public interface Band

extends RangeDimension

Range of wavelengths in the electromagnetic spectrum.

Since:
  GeoAPI 2.0

Method Summary
`Integer` | `getBitsPerValue()` Maximum number of significant bits in the uncompressed representation for the value in each band of each pixel.
`Double` | `getMaxValue()` Longest wavelength that the sensor is capable of collecting within a designated band.
`Double` | `getMinValue()` Shortest wavelength that the sensor is capable of collecting within a designated band.
`Double` | `getOffset()` The physical value corresponding to a cell value of zero.
`Double` | `getPeakResponse()` Wavelength at which the response is the highest.
`Double` | `getScaleFactor()` Scale factor which has been applied to the cell value.
`Integer` | `getToneGradation()` Number of discrete numerical values in the grid data.
`Unit` | `getUnits()` Units in which sensor wavelengths are expressed.

Methods inherited from interface RangeDimension
`getDescriptor, getSequenceIdentifier`

Method Detail

### getMaxValue

    @UML(identifier="maxValue",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Double getMaxValue()

  Longest wavelength that the sensor is capable of collecting within a designated band. Returns `null` if unspecified.

### getMinValue

    @UML(identifier="minValue",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Double getMinValue()

  Shortest wavelength that the sensor is capable of collecting within a designated band. Returns `null` if unspecified.

### getUnits

    @UML(identifier="units",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Unit getUnits()

  Units in which sensor wavelengths are expressed. Should be non-null if min value or max value are provided.

### getPeakResponse

    @UML(identifier="peakResponse",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Double getPeakResponse()

  Wavelength at which the response is the highest. Returns `null` if unspecified.

### getBitsPerValue

    @UML(identifier="bitsPerValue",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Integer getBitsPerValue()

  Maximum number of significant bits in the uncompressed representation for the value in each band of each pixel. Returns `null` if unspecified.

### getToneGradation

    @UML(identifier="toneGradation",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Integer getToneGradation()

  Number of discrete numerical values in the grid data. Returns `null` if unspecified.

### getScaleFactor

    @UML(identifier="scaleFactor",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Double getScaleFactor()

  Scale factor which has been applied to the cell value. Returns `null` if unspecified.

### getOffset

    @UML(identifier="offset",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Double getOffset()

  The physical value corresponding to a cell value of zero. Returns `null` if unspecified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.